org.optaplanner.core.impl.phase.scope

## Class AbstractMoveScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractMoveScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  Direct Known Subclasses:
    ConstructionHeuristicMoveScope, LocalSearchMoveScope

      public abstract class AbstractMoveScope<Solution_>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Move<Solution_>` | `move`
    `protected int` | `moveIndex`
    `protected Score` | `score`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMoveScope(int moveIndex, Move<Solution_> move)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Move<Solution_>` | `getMove()`
    `int` | `getMoveIndex()`
    `Score` | `getScore()`
    `InnerScoreDirector<Solution_>` | `getScoreDirector()`
    `int` | `getStepIndex()`
    `abstract AbstractStepScope<Solution_>` | `getStepScope()`
    `Random` | `getWorkingRandom()`
    `Solution_` | `getWorkingSolution()`
    `void` | `setScore(Score score)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### moveIndex

          protected final int moveIndex

    - #### move

          protected final Move<Solution_> move

    - #### score

          protected Score score

  - ### Constructor Detail

    - #### AbstractMoveScope

          public AbstractMoveScope(int moveIndex,
                                   Move<Solution_> move)

  - ### Method Detail

    - #### getStepScope

          public abstract AbstractStepScope<Solution_> getStepScope()

    - #### getMoveIndex

          public int getMoveIndex()

    - #### getMove

          public Move<Solution_> getMove()

    - #### getScore

          public Score getScore()

    - #### setScore

          public void setScore(Score score)

    - #### getStepIndex

          public int getStepIndex()

    - #### getScoreDirector

          public InnerScoreDirector<Solution_> getScoreDirector()

    - #### getWorkingSolution

          public Solution_ getWorkingSolution()

    - #### getWorkingRandom

          public Random getWorkingRandom()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.